local function dropMessage(cid, pos, itens, myname, name)
    if not isCreature(cid) then return true end
    
    for i = 1, 255 do
        pos.stackpos = i
        local item = getTileThingByPos(pos)
        
        if item.uid ~= 0 then
            if isContainer(item.uid) then
                if isContainer(item.uid) and getContainerSize(item.uid) > 0 then
                    for slot=0, (getContainerSize(item.uid)-1) do
                        local _item = getContainerItem(item.uid, slot)
                        
                        if _item.uid > 0 and isInArray(itens, _item.itemid) then
                            broadcastMessage('MENSAGEM LOOT: O jogador '..myname..' dropou uma '..getItemNameById(_item.itemid)..' de um '..name..'.')
                            return true
                        end
                    end
                end
            end
        end
    end
    return true
end

function onKill(cid, target)
    local itens = {13245, 13246, 13247, 13248, 13249, 13250, 13251, 13252, 13253, 13254, 13255, 13256, 13257, 13258, 13259, 13260, 13261, 13262, 13263, 13264, 13265, 13266, 13267, 13268, 13269, 13270, 13271, 13272, 13273, 13274, 13275, 13276, 13277, 13278, 13279, 13280, 13281, 13282, 13283, 13284, 13285, 13286, 13287, 13289}          --Tabela para configurar os items.  

    if ehMonstro(target) and isPlayer(cid) then
        local pos = getThingPos(target)
        local myname = getCreatureName(cid)
        local name = getCreatureName(target)
        local pid = getCreatureSummons(cid)[1]
        addEvent(dropMessage, 150, pid, pos, itens, myname, name)
    end

    return true
end